Quicklisp client update available with proxy fix

A recent update to the Quicklisp client program broke proxy support. Instead of a successful download, it would stop with the error Unexpected HTTP status for <url>: 400.

If you use a proxy, you unfortunately can't get the fix with the normal (ql:update-client) command. You have to install fresh from quicklisp.lisp again. If you have anything in your local-projects directory, save it, then remove your old ~/quicklisp directory prior to installation.

Sorry about the hassle, and please report any new bugs you find in the client. Thanks!

No comments:

Post a Comment